OSX - Macports upgrade outdated ports hits error

OS X Lion 10.7 just released and I've join in the club to upgrade my mac. As usual, macports needs to be refresh before knowing what it upgrade :
port -v selfupdate

Next, upgrade the ports as usual :
port -v upgrade outdated

After a while, the port "db46" it hit an error :
configure: error: The Java compiler javac failed

It seems like after the installation of XCodes 4.1, java is not included.

After meddling around for a while, this is how to trigger Lion to install java. Execute the program "java" as a normal user and it should prompt to install the required software component. Install it and re-run "port -v upgrade outdated"

Ciao !!!

No comments: